tivoni tivoni - 4 months ago 35x
AngularJS Question

Upgrade angular-meteor project (v1.2.1) to Meteor 1.3

Meteor 1.3 was released today (yay). As it has builtin npm support and other goodies, I'd like to upgrade my angular-meteor project (the app is on Meteor 1.2.1).

I run

meteor update

and then (in response to instructions given in the meteor output on first run)

meteor npm install --save underscore jsondiffpatch angular clipboard

Following that, there were no errors on the server side (except for
[BABEL] Note: The code generator has deoptimised ...

When loading the client I bumped into:

angular_angular.js?hash=... Uncaught Error: [$injector:nomod] Module 'angular-meteor' is not available!

Which I can't seem to circumvent.
I tried running:

meteor npm install --save angular-meteor

which completed successfully (confimed in package.json) yet angualr still can't find it.

So, what am I doing wrong? What's your advice regarding such an upgrade?


I've released 1.3.9_1 that should solve that issue now.